package org.josast.AX25;

import java.util.Arrays;

public class KissData {
	
	private byte [] data;
	private int size=0;
	
	
	public KissData(byte[] data, int size) {
		super();
		this.data = Arrays.copyOf(data, size);
		this.size = size;
	}
	
	
	public byte[] getData() {
		return data;
	}
	public void setData(byte[] data) {
		this.data = data;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}

	public String toString() {

        StringBuilder sb = new StringBuilder();
        for (int i=0; i<size;i++) {
        
            sb.append(String.format("%02x", data[i]));
        }
        return sb.toString();

    }


}
